Domov      Nastavenia 
RSS English Slovensky

Zahraničné zdroje
Nahlásené incidenty
1.1.2020 - 31.12.2020
 

Graf

Baron Samedit: eskalácia privilégií v linuxovom nástroji Sudo

03.02.2021
V programe Sudo, ktorý umožňuje vykonávať vybrané operácie s právami používateľa root v operačných systémoch Unix/Linux, bola opravená kritická zraniteľnosť. Nazvaná ako „Baron Samedit“ bola objavená bezpečnostnou auditnou spoločnosťou Qualys a umožňuje získať oprávnenia používateľa root každému lokálnemu používateľovi. Zraniteľnosť sa v programe Sudo nachádzala 9 rokov.

 

Dôsledky

  • Kompromitácia systému
  • Únik citlivých dát
  • Vykonávanie príkazov s právami používateľa root

Opis činnosti
CVE-2021-3156

Zraniteľnosť Baron Samedit v programe Sudo sa nachádza vo funkcii „set_cmnd()“. V dôsledku nesprávneho ošetrenia vstupných argumentov v premennej „user_args“ môže dôjsť ku pretečeniu na halde vyrovnávacej pamäte. Útočník má pritom pretekajúce dáta efektívne pod kontrolou. Zraniteľnosť môže zneužiť na neoprávnené používanie privilégií používateľa root. Stačí, aby spustil program Sudo príkazom „sudoedit“ v režime „shell“ (shell –c) s následnou voľbou parametru „-s“, ktorý nastavuje príznak MODE_SHELL, alebo „-i“ nastavujúci príznaky MODE_SHELL a MODE_LOGIN_SHELL. To spôsobí nesprávne nastavenie úniku znakov v argumentoch (escaping). Následne znak „\” v premennej „user_args“ spôsobí pretečenie zvyšku vstupu nasledujúceho za ním, na vyrovnávacej pamäti haldy.

Po úspešnom zneužití má teda útočník pod kontrolou veľkosť vyrovnávacej pamäte premennej „user_args“ a riadi veľkosť a obsah pretekajúcich dát.

Pre úspešné zneužitie zraniteľnosti stačí, aby mal útočník akýkoľvek lokálny prístup k systému. Účet, ktorý útočník na útok využíva, nemusí byť v skupine „sudoers“, ani nepotrebuje poznať používateľské heslo.

Knižnicu okrem OpenPGP používajú niektoré distribúcie Linuxu, macOS a systemd pre DNSSEC.

Zraniteľné systémy

  • Sudo, nepodporované verzie 1.8.2 až 1.8.31p2
  • Sudo, stabilné verzie 1.9.0 až 1.9.5p1

Závažnosť zraniteľnosti
Vysoká

Možné škody
Eskalácia privilégií

Odporúčania
Bezodkladná aktualizácia nástroja Sudo na verziu 1.9.5p2, alebo vyššiu.

Kontrolu zraniteľnosti vášho systému môžete vykonať príkazom „sudoedit -s \“. Zraniteľné verzie vypíšu chybové hlásenie začínajúce "sudoedit:", opravené "usage:".

Odkazy
https://blog.qualys.com/vulnerabilities-research/2021/01/26/cve-2021-3156-heap-based-buffer-overflow-in-sudo-baron-samedit
https://www.darkreading.com/application-security/critical-vulnerability-patched-in-sudo-utility-for-unix-like-oses/d/d-id/1339996
https://www.bleepingcomputer.com/news/security/new-linux-sudo-flaw-lets-local-users-gain-root-privileges/



<< zoznam oznámení